/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class ItemDetailsContent
    {
        public const string URL = "ui://hxr7rc7pnzfp1o";

        public ItemBasicInfoTag Basic;
        public ItemGearInfoTag Gear;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            Basic = (ItemBasicInfoTag)GetChild("Basic");
            Gear = (ItemGearInfoTag)GetChild("Gear");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}